enter_password_scroll_circle_scene03_01 = {}
local self = enter_password_scroll_circle_scene03_01

self.params = 
{
	init_numbers = {8, 9, 10, 1, 2, 3, 4, 5, 6, 7}, -- начальные состояния лучей, количество цифр должно совпадать с количеством лучей. 
	password = {9, 7, 5, 6, 2, 3, 1, 8, 4, 10},-- в каких состояниях должна быть игра в конце
	states = 10,-- количество состояний
	speed = 0.6,-- скорость вращения
	sound_rotation = "mini_game_mini_game_enter_password_scroll_rotate_01", -- звук вращения кольца
	image_id_prefix = "scenes_scene03_01_minigame_minigame01_element" -- начало айдишников нарезанных кусков состояний
}

self.Init = function(_owner)
	enter_password_scroll_circle.params = self.params
	enter_password_scroll_circle.Init(_owner)
	
	local photo1 = __cast(_owner.GetWidget("photo1", true), sf.gui.CImageWidget)
	if photo1 then
		if not is_object_in_inventory("foto01") and not is_object_in_inventory("foto03") then
			photo1.AddFlags(sf.gui.CWidget.FlagHidden)
		end
	end
	photo1 = __cast(_owner.GetWidget("photo2", true), sf.gui.CImageWidget)
	if photo1 then
		if not is_object_in_inventory("foto02") and not is_object_in_inventory("foto03") then
			photo1.AddFlags(sf.gui.CWidget.FlagHidden)
		end
	end
end

for p,v in pairs(enter_password_scroll_circle) do
	if not self[p] then self[p] = v end
end